List Contacts in Group

GET
https://reloop.sh/api/contacts/v1/groups/:group_id/contacts

Path Parameters

group_idstringRequired

ID of the group

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100
searchstring

Search by email

status"subscribed""unsubscribed""blocked"

Possible values: subscribed | unsubscribed | blocked

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response, error } = await reloop.contacts.groups.listContacts("grp_123456789", {
  page: 1,
  limit: 10,
});
if (error) throw error;
{
  "object": "contact_group",
  "group": {
    "id": "con_123456789",
    "name": "Newsletter",
    "createdAt": "2026-03-23T10:00:00.000Z",
    "updatedAt": "2026-03-23T10:00:00.000Z",
    "contacts": [
      {
        "id": "con_123456789",
        "email": "john.doe@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "status": "subscribed",
        "properties": {
          "company": "Reloop",
          "role": "Developer"
        },
        "createdAt": "2026-03-23T10:00:00Z",
        "updatedAt": "2026-03-23T10:00:00Z"
      }
    ]
  },
  "total": 1,
  "page": 0,
  "limit": 0,
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page